<?php
namespace Mageplaza\Blog\Block\Adminhtml\Import\Edit\Import;

/**
 * Interceptor class for @see \Mageplaza\Blog\Block\Adminhtml\Import\Edit\Import
 */
class Interceptor extends \Mageplaza\Blog\Block\Adminhtml\Import\Edit\Import implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Mageplaza\Blog\Helper\Data $blogHelper, \Mageplaza\Blog\Model\Config\Source\Import\Type $importType, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $blogHelper, $importType, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
